
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用PHP目录函数实现创建、读取目录教程实例 / iVAN</title>

    <meta name="description" content="使用PHP目录函数实现创建、读取目录教程实例 今天主要介绍在PHP网站开发中文件目录函数的应用.在PHP网站开发中,我们时常需要读取目录文件信息或者创建目录以存放必要的文件,而当目录文件大小超出规定大小时我们又需要删除目录文件,如手工删除目录即费时又费力,我们完全可以通过PHP自带的目录操作函数实现对目录文件的管理. 本文以实例教程形式讲解如何使用PHP文件目录函数,实例的主要功能:一.利用PHP目录函数创建多个目录,二.在目录下创建文本文件并在文件中写入相关信息,三.递归实现读取(遍历)目录(文件夹)信息并以列表形式列出目录下的所有子目录">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用PHP目录函数实现创建、读取目录教程实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　今天主要介绍在PHP网站开发中文件目录函数的应用。在PHP网站开发中，我们时常需要读取目录文件信息或者创建目录以存放必要的文件，而当目录文件大小超出规定大小时我们又需要删除目录文件，如手工删除目录即费时又费力，我们完全可以通过PHP自带的目录操作函数实现对目录文件的管理。</p>
<p>　　本文以实例教程形式讲解如何使用PHP文件目录函数，实例的主要功能：一、利用PHP目录函数创建多个目录，二、在目录下创建文本文件并在文件中写入相关信息，三、递归实现读取(遍历)目录(文件夹)信息并以列表形式列出目录下的所有子目录及文件。</p>
<p>　　本实例涉及到文件读写操作，推荐先查看PHP文件读写教程。</p>
<p>　　本实例目录结构：PHP执行文件与leapsoulcn目录处在同一级，创建的子目录处在leapsoulcn目录下。</p>
<p><strong>第一步：使用PHP目录函数创建相关目录</strong></p>
<table>
<tr>
<td>1<br />2<br />3<br />4<br />5<br />6<br />7<br />8<br />9<br />10<br />11
</td>
<td>&lt;?<br />
    mkdir("leapsoulcn",0777);<br />
    <br />
    mkdir("leapsoulcn/leapsoul",0777);<br />
    <br />
    mkdir("leapsoulcn/php",0777);<br />
    <br />
    mkdir("leapsoulcn/php/web",0777);<br />
    <br />
    mkdir("leapsoulcn/php/web/test",0777);<br />
?&gt;</td>
</tr>
</table>
<p><strong>说明</strong>：在这段代码中，先使用PHP目录函数mkdir创建主目录leapsoulcn，并创建了两个子目录，leapsoul及php，在php目录下创建了web以及test目录。</p>
<p><strong>知识点</strong>：mkdir主要用来创建目录，有两个参数：新目录名(注意创建多级目录时，必须包含目录路径)，新目录的访问权限，即umask值，第一个数字通常是0，第二个数字指定了所有者特许，第三个数字指定了所有者用户群的特许 ，第四个数字制定了全局特许，可用值如下：<br />
1 = 可执行<br />
2 = 可写<br />
4 = 可读<br />
将三个数字加起来，7代表拥有所有权限，你可以根据自己的需要对创建的新目录赋予不同的权限。</p>
<p><strong>第二步：在leapsoulcn/php/目录下创建leapsoulcn.txt文件，并写入相关的内容</strong></p>
<table>
<tr>
<td>1<br />2<br />3<br />4<br />5<br />6<br />7<br />8<br />9<br />10<br />11<br />12<br />13<br />14
</td>
<td>&lt;?<br />
    @$fp<br />
						=<br />
						fopen("leapsoulcn/php/leapsoulcn.txt","w");<br />
        <br />
    if(!$fp){<br />
        echo<br />
						"system error";<br />
        exit();<br />
    }else<br />
						{<br />
            $fileData<br />
						=<br />
						"domain"."\t"."www.leapsoul.cn"."\n";<br />
            $fileData<br />
						=<br />
						$fileData."description"."\t"."PHP网站开发教程网，面向PHP初学者的PHP教程网。"."\n";<br />
            $fileData<br />
						=<br />
						$fileData."title"."\t"."本实例主要讲述PHP目录函数的具体应用：涵盖读取目录、创建目录、删除目录等功能";<br />
            fwrite($fp,$fileData);<br />
            fclose($fp);<br />
    }<br />
?&gt;</td>
</tr>
</table>
<p><strong>说明：</strong>这段实例代码具体解释可参考之前介绍的PHP文件写入教程。</p>
<p><strong>第三步：读取(遍历)目录名及文本文件名</strong></p>
<table>
<tr>
<td>1<br />2<br />3<br />4<br />5<br />6<br />7<br />8<br />9<br />10<br />11<br />12<br />13<br />14<br />15<br />16<br />17
</td>
<td>&lt;?<br />
    $dir<br />
						=<br />
						opendir("leapsoulcn");<br />
    <br />
    while<br />
						($fileDir<br />
						=<br />
						readdir($dir))<br />
						{<br />
            <br />
        if<br />
						(!strcmp($fileDir,".")!strcmp($fileDir,".."))<br />
						{<br />
            continue;<br />
        }<br />
        echo<br />
						$fileDir."目录列表：&lt;br/&gt;&lt;br/&gt;";<br />
        <br />
        $subDir<br />
						=<br />
						"leapsoulcn/".$fileDir;<br />
        <br />
        $dirC<br />
						=<br />
						"-&gt;";<br />
        listSubDir($subDir,$dirC);<br />
    }<br />
    closedir($dir);<br />
?&gt;</td>
</tr>
</table>
<p><strong>说明：</strong>在这段代码实例教程中主要使用了PHP目录函数opendir()，readdir()，closedir()。</p>
<p><strong>知识点：</strong></p>
<p>1、opendir函数用来打开所游览的具体目录，函数参数为目录名，注意，由于在本实例教程中PHP执行文件和游览的主目录处在同一级，所以传递的参数仅仅只是目录名，如果不在同一级或读取多级目录时，需带上具体的目录路径或文件路径。</p>
<p>2、在通过opendir函数读取了主目录后，通过while循环来进一步读取主目录下的多级目录及文件，此处使用的PHP目录函数为readdir，此函数从目录中读取目录或文件名，当没有可读取的目录或文件时，返回False，注意，读取的目录包含.和..，在本实例教程中由于是一级级往下读取目录，所以当读取的目录信息为.和..时跳出本次循环，继续读取下一级目录。</p>
<p>3、在读取完主目录的所有子目录及文件后，通过PHP目录函数closedir来关闭目录句柄，类似于fclose函数关闭文件。</p>
<p><strong>第四步：创建读取(遍历)目录及文件的递归函数</strong></p>
<table>
<tr>
<td>1<br />2<br />3<br />4<br />5<br />6<br />7<br />8<br />9<br />10<br />11<br />12<br />13<br />14<br />15<br />16<br />17<br />18<br />19<br />20<br />21<br />22<br />23<br />24<br />25<br />26<br />27
</td>
<td>&lt;?<br />
    function listSubDir($dirInfo,$dirC)<br />
    {<br />
        if<br />
						(is_dir($dirInfo))<br />
						{<br />
            $subDir<br />
						=<br />
						dir($dirInfo);<br />
            while<br />
						($subFile<br />
						=<br />
						$subDir-&gt;read())<br />
						{<br />
                if<br />
						(!strcmp($subFile,".")!strcmp($subFile,".."))<br />
						{<br />
                    continue;<br />
                }<br />
                <br />
                $newDir<br />
						=<br />
						$dirInfo."/".$subFile;<br />
                <br />
                if<br />
						(is_file($newDir))<br />
						{<br />
                    echo<br />
						$dirC.$subFile."：文件属性&lt;br/&gt;";<br />
                }<br />
                else{<br />
                    echo<br />
						$dirC.$subFile."：目录属性&lt;br/&gt;";<br />
                    <br />
                    listSubDir($newDir,"-".$dirC);<br />
                }<br />
            }<br />
            $subDir-&gt;close();<br />
            return;<br />
        }<br />
        else<br />
						return;<br />
    }<br />
?&gt;</td>
</tr>
</table>
<p><strong>说明：</strong>此函数有两个参数：需要读取的目录（包含目录路径），显示用的多级目录分隔符。在这个函数中主要使用了PHP文件目录函数is_dir，is_file，dir类。</p>
<p><strong>知识点：</strong></p>
<p>1、首先通过is_dir来判断要读取的是目录还是文件，此函数的参数和opendir函数类似，注意目录路径问题。</p>
<p>2、如果判断需要读取的是目录，则通过dir目录类来进一步读取其多级子目录，层层递归。dir类所具有的操作函数功能和opendir、readdir、closedir这些PHP目录函数功能一致。</p>
<p>　　至此整个创建目录，读取目录的代码实例就算完成了，可列出主目录下的多级子目录名及文本文件名。</p>
<p><strong>如何删除目录？</strong></p>
<p>　　删除目录可以使用PHP目录函数rmdir，函数的参数和mkdir函数参数类似，可以使用相对目录路径或绝对目录路径，只是要删除的目录必须为空目录，通过上述代码实例你完全可以判断哪些是空目录。</p>
<p>　　通过应用这些基本的PHP目录函数及文件操作函数，完全可以实现和文件系统打交道，自行编写一个具有创建、删除目录、读取目录、管理文件的网站目录文件管理系统，那文件信息、文件大小如何读取？删除或移动文件如何实现？呵呵，我们下次分享吧。</p>
<p>　　<strong>注</strong>：PHP网站开发教程-leapsoul.cn版权所有，转载时请以链接形式注明原始出处及本声明，谢谢。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 20:18:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%a0%b9%e7%9b%ae%e5%bd%95/" title="根目录">根目录</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e5%ad%90%e7%9b%ae%e5%bd%95/" title="子目录">子目录</a>, <a href="https://www.iamivan.net/tag/php-%e5%88%a0%e9%99%a4%e7%9b%ae%e5%bd%95-%e9%80%92%e5%bd%92/" title="php 删除目录 递归">php 删除目录 递归</a>, <a href="https://www.iamivan.net/tag/%e5%88%9b%e5%bb%ba%e8%99%9a%e6%8b%9f%e7%9b%ae%e5%bd%95/" title="创建虚拟目录">创建虚拟目录</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e5%87%bd%e6%95%b0/" title="主函数">主函数</a>, <a href="https://www.iamivan.net/tag/%e8%af%bb%e5%8f%96/" title="读取">读取</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e8%af%bb%e5%8f%96/" title="文件读取">文件读取</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e7%9b%ae%e5%bd%95/" title="文件目录">文件目录</a>, <a href="https://www.iamivan.net/tag/%e8%af%bb%e5%8f%96%e8%b7%af%e5%be%84/" title="读取路径">读取路径</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用PHP目录函数实现创建、读取目录教程实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmm6Rp.html" rel="bookmark">PHP目录函数实现创建、读取目录教程实例&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天主要介绍在PHP网站开发中文件目录函数的应用.在PHP网站开发中,我们时常需要读取目录文件信息或者创建目录以存放必要的文件,而当目录文件大小超出规定大小时我们又需要删除目录文件,如手工删除目录即费时又费力,我们完全可以通过PHP自带的目录操作函数实现对目录文件的管理. 本文以实例教程形式讲解如何使用PHP文件目录函数,实例的主要功能:一.利用PHP目录函数创建多个目录,二.在目录下创建文本文件并在文件中写入相关信息,三.递归实现读取(遍历)目录(文件夹)信息并以列表形式列出目录下的所有子目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn88KOb.html" rel="bookmark">PHP创建多级目录的两种方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP针对目录的创建,有一个专门的函数mkdir():成功,返回true,失败,返回false 函数mkdir有四个参数: path:要创建的目录的名称 mode:权限.默认是0777(最大权限) recursive:设置是否可以创建多级目录(true:可,false:不可) context:文件句柄的环境.context是可修改流的行为的一套选项(很少用到) 下面给大家介绍php创建多级目录的两种方法,具体详情如下所示: 1.使用递归的思想 function mkdirs_2($path){			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOn45mp.html" rel="bookmark">PHP递归创建多级目录&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的第一个感觉就是用递归创建,具体思路如下: function Directory($dir){ if(is_dir($dir) || @mkdir($dir,0777)){ //查看目录是否已经存在或尝试创建,加一个@抑制符号是因为第一次创建失败,会报一个&quot;父目录不存在&quot;的警告. echo $dir.&quot;创建成功&lt;br&gt;&quot;; //输出创建成功的目录 }else{ $dirArr=explode('/',$dir); //当子目录没创建成功时,试图创建父目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Vajvb.html" rel="bookmark">php mkdir 创建多级目录实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先介绍一下 mkdir() 这个函数 mkdir($path,0777,true); 第一个参数:必须,代表要创建的多级目录的路径: 第二个参数:设定目录的权限,默认是 0777,意味着最大可能的访问权: 第三个参数:true表示允许创建多级目录. mkdir($dir,$mode):但是它每次只能创建一个目录,也就是说它不能一次创建多级目录,如下 mkdir('aa'); //就只能创建一个aa目录了 mkdir('aa/bb/cc');//如果有aa/bb目录就可以成功创建cc目录否则会报错			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ09r5M.html" rel="bookmark">php创建多级目录的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php创建多级目录的方法.分享给大家供大家参考.具体实现方法如下: &lt;?php /* 写出一个能创建多级目录的PHP函数 */ function createdirlist($path,$mode){ if (is_dir($path)){ //判断目录存在否,存在不创建 echo &quot;目录'&quot; . $path . &quot;'已经存在&quot;; //已经存在则输入路径 }else{ //不存在则创建目录 $re=mkdir($path,$mode,true);			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLKX6p.html" rel="bookmark">详解C&plus;&plus;循环创建多级目录及判断目录是否存在的方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++循环创建多级目录 #include &quot;unitfiles.h&quot; #ifdef WIN32 #include &lt;direct.h&gt; #include &lt;io.h&gt; #elif LINUX #include &lt;stdarg.h&gt; #include &lt;sys/stat.h&gt; #endif #ifdef WIN32 #define ACCESS _access #define MKDIR(a) _mkdir((a)) #elif LINUX			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZPl0b.html" rel="bookmark">mysql不用rand&lpar;&rpar;函数实现随机读取数据库记录的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql教程不用rand()函数实现随机读取数据库教程记录的方法 ,以及google了一下相关的文件,发现大家几乎清一色使用 order by rand() 来达到该目的,但是实际上存在非常严重的性能问题. 如果你的数据库里只有几百条,且调用次数又不多的情况下,你爱用啥方法就用啥方法. 但如果你有10万或100万或更多条数据的话,那么每次执行带 order by rand() 的 sql 语句的时候,mysql服务器需要计算出10万或100万或更多个随机数,可想而知对数据库服务器的资源浪费有多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbExaPz.html" rel="bookmark">一个可以自动创建多级目录的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建|函数 &lt;%'创建多级目录,可以创建不存在的根目录'参数:要创建的目录名称,可以是多级'返回逻辑值,True成功,False失败'创建目录的根目录从当前目录开始'---------------------------------------------------FunctionCreateMultiFolder(ByValCFolder)DimobjFSO,PhCreateFolder,CreateFolderArray,CreateFolderDimi,ii,CreateFolderSu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAE2V3M.html" rel="bookmark">php函数mkdir实现递归创建层级目录&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面是我从网上整理的资料,会为大家详细介绍php函数mkdir的具体用法,希望对有这方面需求的朋友有所帮助. 项目开发中免不了要在服务器上创建文件夹,比如上传图片时的目录,模板解析时的目录等.这不当前手下的项目就用到了这个,于是总结了几个循环创建层级目录的方法. php默认的mkdir一次只能创建一层目录,而要逐层创建各级目录的话,一般都是先从父创建,然后逐层往下创建,但是这样手工创建的话,有点太过于麻烦了. 我们写程序是做什么的?不久是为了能自动化实现我们需要的功能么,这里的方法就是为了能够通			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0lvAM.html" rel="bookmark" class="title">企业信息化如何发挥数据挖掘的效力&lpar;收藏）</a>
					<div>
						数据   我国的银行.证券.电信.保险行业都在大谈&quot;数据集中&quot;,希望在此基础上实现客户关系管理和商业智能.&quot;数据挖掘工程师&quot;这个新颖的职位名称,也隐约出现在企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZvLwz.html" rel="bookmark" class="title">特效：在网页中显示可拖动的月历</a>
					<div>
						可拖动|特效|网页|显示      使用本文提供的javascript脚本,配合Dreamweaver的层和行为的运用,可以在页面中显示可拖动的精美月历. 具体制作步骤如下: 1.启动Dreamwea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDx1lz.html" rel="bookmark" class="title">25个不错PHP的游戏编程脚本代码分享</a>
					<div>
						  本文介绍了25个不错PHP的游戏编程脚本代码,包括简单的掷骰器.随机名称生成器.场景生成器.牌组创建器(Deck builder)和装备(shuffler).简单的扑克发牌器.Hangman游戏. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNW0Pp.html" rel="bookmark" class="title">百度上线新浪微博实时搜索 给互联网带来哪些变化</a>
					<div>
						Admin5站长网消息,3月1日晚,百度整合新浪微博内容的实时搜索服务上线.百度在其搜索结果中实时显示与关键词相关的最新新浪微博内容.这是新浪微博首次和第三方搜索引擎合作.站长网编辑发现,新浪微博页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa2E3M.html" rel="bookmark" class="title">Visual Studio 2008&plus;NClay小试牛刀</a>
					<div>
						经过一段时间的努力,NClay框架终于到了可以见人的阶段了,为了让大家了解NClay,于是基于NClay编写了一个SmallBlog程序作为介绍案例.在开发SmallBlog过程中,刚好VS 2008 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO235b.html" rel="bookmark" class="title">AutoCAD键盘和鼠标</a>
					<div>
						用户在AutoCAD系统中工作时,最主要的输入设备是键盘和鼠标,下面介绍如何在AutoCAD中使用键盘和鼠标. 2.1.1 使用键盘 AutoCAD同以前版本一样,同时提供了图形窗口和文字窗口.通常在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7VgJb.html" rel="bookmark" class="title">使用EMF Validation框架来验证EMF模型</a>
					<div>
						EMF(Eclipse Modeling Framework)建模框架能够帮助我们将模型 (UML, XSD 等 ) 转 换成为健壮且功能丰富的 Java 代码.使用 EMF 来搭建应用程序,不但能极 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2vkrM.html" rel="bookmark" class="title">用JFreeChart创建基于Web的图表</a>
					<div>
						WWW的发展使得基于因特网的应用程序不再局限于静态或者简单的动态内容提供.传统的一些以软件包形式发布应用程序例如报表系统等都在逐渐搬到因特网上.但是这两者之间有着天壤之别,虽然对于数据获取.业务处理等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wajPp.html" rel="bookmark" class="title">金山毒霸工作组怎么设置？</a>
					<div>
						  金山毒霸工作组怎么设置? 1.右键单击&quot;我的电脑&quot;,选择&quot;属性&quot;. 金山毒霸 2.单击&quot;计算机名&quot;,单击&quot;更改&quot;.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdZAqM.html" rel="bookmark" class="title">教育技术服务平台怎么填写</a>
					<div>
						  学生基础信息 1.姓名: 在公安户籍管理部门正式登记注册.人事档案中正式记载的中文姓名(包括外国人正式的汉字姓名). 2.性别: 填写男或女. 3.出生日期: 在公安户籍部门正式登记注册.人事档案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwNRlM.html" rel="bookmark" class="title">【转】Java知识点集锦（1~40）</a>
					<div>
						1. 面向对象的特征有哪些方面? 抽象:抽象是将一类对象的共同特征总结出来构造类的过程,包括数据抽象和行为抽象两方面.抽象只关注对象有哪些属性和行为,并不关注这些行为的细节是什么. 继承:继承是从已有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YB8ZM.html" rel="bookmark" class="title">阿里云联合5000家生态伙伴启动云上全球双11 科技行业全链路&OpenCurlyDoubleQuote;狂欢节&rdquo;</a>
					<div>
						阿里云宣布联合5000家生态伙伴启动2017&quot;云上全球双11&quot;.除阿里云的全线计算资源与产品外,用友畅捷通.Splunk.Check Point等1200余家ISV(独立软件商)在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QyBJp.html" rel="bookmark" class="title">VB转VB&period;NET问题</a>
					<div>
						问题描述 VB转VB.NET问题我以前学过vb6.0,学的还不错,自己做了一套程序,那是XP年代,现在前后是WIN7,WIN8了,之前做的程序越来越不能兼容了,可数据库不能丢,所以开始学vb.net了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Nn9rM.html" rel="bookmark" class="title">c语言-C语言怎么用索引来指示数组中的每个元素</a>
					<div>
						问题描述 C语言怎么用索引来指示数组中的每个元素 C语言怎么用索引来指示数组中的每个元素,能给个例子并解释一下 解决方案 比如 int x[] = {1,2,3}; int a = x[0]; 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lgX9b.html" rel="bookmark" class="title">android签名&period;jks和&period;keystore文件有什么区别？</a>
					<div>
						问题描述 android签名.jks和.keystore文件有什么区别? 用AS签名时的新建方式新建了.jks文件 就可以成功签名, 但是用别人的keystore文件重新签名就不行Error:Exec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZELVwp.html" rel="bookmark" class="title">请教个问题：能否在一个APK中打开另一个APK&lpar;视频播放应用）&period;&period;&period;&period;</a>
					<div>
						问题描述 请教个问题:能否在一个APK中打开另一个APK(视频播放应用).... 而后者只占前者的界面的一部分,就像后者是前者的一个VideoView控件....能实现把..求大牛指导... 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxYe5b.html" rel="bookmark" class="title">don&amp;amp&semi;&num;39&semi;t touch your phone in any unfamiliar way（转）</a>
					<div>
						直到这两天 Chainfire 说,他正尝试在不修改手机 /System 分区的情况下获取 Android 系统 Root 权限,我才想起他在今年 9 月轻描淡写地提到自己已经把 SuperSU 卖给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK7Woz.html" rel="bookmark" class="title">&period;net网站的管理</a>
					<div>
						问题描述 我是新手,刚才接到一个.net做的网站,里面有好多的文件夹和aspx的文件看的小弟那个头晕呀,在此请教高手指点我应该从那里看,小弟在此谢过各位.由于小弟没有分不能给大家分请大家见谅! 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40elrz.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;解决Jackson、Gson解析Json数据时，Json数据中的Key为Java关键字时解析为null的问题</a>
					<div>
						1.问题描述 首先,需要解析的Json数据类似于下面的格式,但是包含了Java关键字abstract: { ret: 0, msg: &quot;normal return.&quot;, news: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj20PM.html" rel="bookmark" class="title">Repeater和CheckBox控件&lpar;客户端和服务器端&rpar;实行全选或多条选择</a>
					<div>
						客服端代码  1 &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeBehind=&quot;Repea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKyw3b.html" rel="bookmark" class="title">c-C&num; 人员管理小系统 信息加入 不用数据库 DataGridView</a>
					<div>
						问题描述 C# 人员管理小系统 信息加入 不用数据库 DataGridView C#人员管理小系统 有 namespace 人员管理 { public class Person { public in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZXmmz.html" rel="bookmark" class="title">java面试题&mdash;精选30道Java笔试题解答（一）</a>
					<div>
						 下面都是我自己的答案非官方,仅供参考,如果有疑问或错误请一定要提出来,大家一起进步啦~~~   1. 下面哪些是Thread类的方法() A start()       B run()        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE45VAz.html" rel="bookmark" class="title">Python&OpenCurlyDoubleQuote;所向披靡&rdquo;：即将取代R</a>
					<div>
						R:并非一种真正的语言 我们之所以学习R非常困难的其中一部分原因是,它并非一种真正的编程语言.John Cook是一位R专家,他曾说:&quot;R是一个做统计的交互环境,不是一种真正的编程语言.把R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JNoAz.html" rel="bookmark" class="title">LINUX系统中动态链接库的创建与使用&lbrace;补充&rcub;</a>
					<div>
						 大家都知道,在WINDOWS系统中有很多的动态链接库(以.DLL为后缀的文件,DLL即Dynamic Link Library).这种动态链接库,和静态函数库不同,它里面的函数并不是执行程序本身的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JnkNz.html" rel="bookmark" class="title">网络赌球最底层散户输得很惨</a>
					<div>
						今天上午记者获悉,丰台警方日前破获一起网络赌博案:充当境外赌球网站&quot;二级&quot;代理,发展下线代理人及散户数十名,短短一个多月接受赌资300余万元.在丰台区看守所内,嫌疑男子周某落网后对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnW0mM.html" rel="bookmark" class="title">html5-基于Bootstrup 3可预览的HTML5文件上传插件，Ajax上传方式，如何做出响应？</a>
					<div>
						问题描述 基于Bootstrup 3可预览的HTML5文件上传插件,Ajax上传方式,如何做出响应? http://www.htmleaf.com/html5/html5muban/201505091 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq7ydp.html" rel="bookmark" class="title">2014年网络安全市场：聚焦网络虚拟化</a>
					<div>
						美国零售巨头Target 4000万信用卡数据泄露事件使我们意识到,保护数据安全的战争永远不会结束. 而且,这不是网络安全专业人士唯一的挑战者.之前的斯诺登事件也同样提醒我们,黑客也不是唯一威胁企业数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Q08p.html" rel="bookmark" class="title">ios-关于AFnetworking 同步请求</a>
					<div>
						问题描述 关于AFnetworking 同步请求 我要做一个网络获取URL 实现启动图片的效果 需要同步请求 afnetworking的 求指点 解决方案 原文地址:http://xiangwangf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm0JVp.html" rel="bookmark" class="title">Java输入输出流复制文件所用时间对比&lowbar;java</a>
					<div>
						废话不多说,关键代码如下所述: package com.edu.xynu; import java.io.BufferedInputStream; import java.io.BufferedOut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLkoDM.html" rel="bookmark" class="title">ndroid listview-ListView显示异常， 图片错位</a>
					<div>
						问题描述 ListView显示异常, 图片错位 我使用的是PullToRefreshListView,当第一次进入Activity时,显示异常, 其中每个item中我都放了个ImageView,最开始 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
